## gst-libav1.0 1.22.0

=== debian/changelog ===
gst-libav1.0 (1.22.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 28 Jan 2023 14:36:03 -0500

gst-libav1.0 (1.22.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Bump minimum gstreamer and meson
  * debian/rules: Set -Dauto_features=enabled
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 27 Jan 2023 11:34:42 -0500

gst-libav1.0 (1.20.5-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * New upstream release
  * Add debian/upstream/signing-key.asc and update debian/watch to use it
  * Don't ignore build test failures on amd64 & arm64
  * Set Rules-Requires-Root: no
  * Update standards version to 4.6.1, no changes needed

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 05 Jan 2023 14:20:14 -0500

gst-libav1.0 (1.20.3-1) unstable; urgency=medium

  [ Sebastian Dröge ]
  * New upstream bugfix release.

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI.
  * Use secure URI in debian/watch.
  * Update standards version to 4.5.1, no changes needed.
  * Remove Section on gstreamer1.0-libav that duplicates source.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 21 Jun 2022 09:18:07 +0300

=== debian/control ===
Source: gst-libav1.0
Section: libs
Priority: optional
Maintainer: Maintainers of GStreamer packages <gst-libav1.0@packages.debian.org>
Uploaders: Sebastian Dröge <slomo@debian.org>,
           Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper,
               debhelper-compat (= 13),
               meson (>= 0.62),
               pkg-config,
               xvfb,
               xauth,
               libglib2.0-dev,
               libgstreamer1.0-dev (>= 1.22.0),
               libgstreamer-plugins-base1.0-dev (>= 1.22.0),
               gstreamer1.0-plugins-base (>= 1.22.0),
               gstreamer1.0-plugins-good (>= 1.22.0),
               liborc-0.4-dev,
               zlib1g-dev,
               liblzma-dev,
               libbz2-dev,
               libavutil-dev,
               libavcodec-dev,
               libavfilter-dev,
               libavformat-dev,
               libswscale-dev,
               yasm
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-libav1.0.git
Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-libav1.0/
Homepage: https://gstreamer.freedesktop.org

Package: gstreamer1.0-libav
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: ffmpeg plugin for GStreamer
 This GStreamer plugin supports a large number of audio and video compression
 formats through the use of the ffmpeg library.  The plugin contains GStreamer
 elements for encoding 40+ formats (MPEG, DivX, MPEG4, AC3, DV, ...), decoding
 elements for decoding 90+ formats (AVI, MPEG, OGG, Matroska, ASF, ...),
 demuxing 30+ formats and colorspace conversion.
 .
 http://www.ffmpeg.org/
 http://gstreamer.freedesktop.org/
 http://gstreamer.freedesktop.org/modules/gst-libav.html

## gst-libav1.0 1.22.1

=== debian/changelog ===
gst-libav1.0 (1.22.1-1) experimental; urgency=medium

  * Team upload
  * New upstream bugfix release (LP: #2015129)
  * Drop patch that skipped a build test

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 03 Apr 2023 18:46:07 -0400

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export HOME=$(CURDIR)/fake-home

# debian package version
version=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
# upstream version
gst_version=$(shell echo $(version) | cut -d '-' -f 1)

FFMPEG_LIBDIR = /usr/lib/$(DEB_HOST_MULTIARCH)

CFLAGS += -Wno-error -DFFMPEG_LIBDIR=\"$(FFMPEG_LIBDIR)\"
CXXFLAGS += -Wno-error
LDFLAGS += -Wl,-z,defs -Wl,-O1

# Let's decide the package name and url depending on the distribution
DISTRO = "$(shell dpkg-vendor --query vendor)"

GST_PACKAGE_NAME := "GStreamer libav Plugins (unknown Debian derivative)"
GST_PACKAGE_ORIGIN="https://tracker.debian.org/pkg/gst-libav1.0"

ifeq ($(DISTRO),"Debian")
GST_PACKAGE_NAME := "GStreamer libav Plugins (Debian)"
GST_PACKAGE_ORIGIN="https://tracker.debian.org/pkg/gst-libav1.0"
endif

ifeq ($(DISTRO),"Ubuntu")
GST_PACKAGE_NAME := "GStreamer libav Plugins (Ubuntu)"
GST_PACKAGE_ORIGIN="https://launchpad.net/ubuntu/+source/gst-libav1.0"
endif

conf_flags = -Dpackage-name=$(GST_PACKAGE_NAME) -Dpackage-origin=$(GST_PACKAGE_ORIGIN)
conf_flags += -Dauto_features=enabled -Ddoc=disabled

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(conf_flags)

execute_before_dh_auto_clean:
	rm -rf $(CURDIR)/fake-home

override_dh_auto_test:
ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64))
	xvfb-run dh_auto_test
else
	xvfb-run dh_auto_test || true
endif

execute_after_dh_install:
	mkdir -p $(CURDIR)/fake-home
	HOME=$(CURDIR)/fake-home \
	dh_gstscancodecs
	rm -rf $(CURDIR)/fake-home

## gst-libav1.0 1.22.2

=== debian/changelog ===
gst-libav1.0 (1.22.2-1) experimental; urgency=medium

  * Team upload
  * New upstream bugfix release (LP: #2015943)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 11 Apr 2023 20:34:35 -0400

## gst-libav1.0 1.22.3

=== debian/changelog ===
gst-libav1.0 (1.22.3-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Add debian/upstream/metadata
  * debian/rules: Enable all hardening flags

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 19 May 2023 15:00:41 -0400

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 include /usr/share/dpkg/default.mk
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 export HOME=$(CURDIR)/fake-home
 
 # debian package version
@@ -11,9 +13,7 @@
 
 FFMPEG_LIBDIR = /usr/lib/$(DEB_HOST_MULTIARCH)
 
-CFLAGS += -Wno-error -DFFMPEG_LIBDIR=\"$(FFMPEG_LIBDIR)\"
-CXXFLAGS += -Wno-error
-LDFLAGS += -Wl,-z,defs -Wl,-O1
+CFLAGS += -DFFMPEG_LIBDIR=\"$(FFMPEG_LIBDIR)\"
 
 # Let's decide the package name and url depending on the distribution
 DISTRO = "$(shell dpkg-vendor --query vendor)"

## gst-libav1.0 1.22.4

=== debian/changelog ===
gst-libav1.0 (1.22.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 29 Jun 2023 08:53:17 -0400

gst-libav1.0 (1.22.3-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 12 Jun 2023 14:33:41 -0400

## gst-libav1.0 1.22.5

=== debian/changelog ===
gst-libav1.0 (1.22.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 29 Jul 2023 17:06:51 +0300

## gst-libav1.0 1.22.6

=== debian/changelog ===
gst-libav1.0 (1.22.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 25 Sep 2023 14:09:54 -0400

## gst-libav1.0 1.22.7

=== debian/changelog ===
gst-libav1.0 (1.22.7-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.22.7

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 14 Nov 2023 13:59:36 +0100

## gst-libav1.0 1.22.8

=== debian/changelog ===
gst-libav1.0 (1.22.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.22.8

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 18 Dec 2023 17:15:20 +0100

## gst-libav1.0 1.24.1

=== debian/changelog ===
gst-libav1.0 (1.24.1-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:55:00 +0000

gst-libav1.0 (1.24.1-1) unstable; urgency=medium

  * New upstream version 1.24.1

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 22 Mar 2024 11:40:29 +0100

gst-libav1.0 (1.24.0-1) unstable; urgency=medium

  * Revert "d/watch: pin master releases on 1.22.x"
  * New upstream version 1.24.0
  * d/control: bump gstreamer dependencies to 1.24.0

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 05 Mar 2024 15:57:15 +0100

gst-libav1.0 (1.22.10-1) unstable; urgency=medium

  * d/watch: pin master releases on 1.22.x
  * New upstream version 1.22.10
  * d/control: pkg-config is transitional

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 14 Feb 2024 14:06:25 +0100

gst-libav1.0 (1.22.9-1) unstable; urgency=medium

  * New upstream version 1.22.9

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 02 Feb 2024 17:00:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: gst-libav1.0
 Section: libs
 Priority: optional
-Maintainer: Maintainers of GStreamer packages <gst-libav1.0@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Maintainers of GStreamer packages <gst-libav1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
-           Sjoerd Simons <sjoerd@debian.org>
-Build-Depends: debhelper,
-               debhelper-compat (= 13),
+           Sjoerd Simons <sjoerd@debian.org>,
+           Marc Leeman <marc.leeman@gmail.com>,
+Build-Depends: debhelper-compat (= 13),
                meson (>= 0.62),
-               pkg-config,
+               pkgconf,
                xvfb,
                xauth,
                libglib2.0-dev,
-               libgstreamer1.0-dev (>= 1.22.0),
-               libgstreamer-plugins-base1.0-dev (>= 1.22.0),
-               gstreamer1.0-plugins-base (>= 1.22.0),
-               gstreamer1.0-plugins-good (>= 1.22.0),
+               libgstreamer1.0-dev (>= 1.24.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.24.0),
+               gstreamer1.0-plugins-base (>= 1.24.0),
+               gstreamer1.0-plugins-good (>= 1.24.0),
                liborc-0.4-dev,
                zlib1g-dev,
                liblzma-dev,

=== debian/watch ===
version=4
opts=pgpmode=auto \
https://gstreamer.freedesktop.org/src/gst-libav/ gst-libav-(1\.[\d]+\.[\d]+)@ARCHIVE_EXT@

## gst-libav1.0 1.24.5

=== debian/changelog ===
gst-libav1.0 (1.24.5-1) unstable; urgency=medium

  * New upstream version 1.24.5

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 20 Jun 2024 16:37:52 +0200

gst-libav1.0 (1.24.4-1) unstable; urgency=medium

  * New upstream version 1.24.4

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 29 May 2024 14:20:52 +0200

gst-libav1.0 (1.24.3-2) unstable; urgency=medium

  * d/patches: update av so version to 60

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 07 May 2024 10:00:38 +0200

gst-libav1.0 (1.24.3-1) unstable; urgency=medium

  * New upstream version 1.24.3

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 30 Apr 2024 11:27:28 +0200

gst-libav1.0 (1.24.2-1) unstable; urgency=medium

  * New upstream version 1.24.2

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 10 Apr 2024 10:58:58 +0200

## gst-libav1.0 1.24.6

=== debian/changelog ===
gst-libav1.0 (1.24.6-1) unstable; urgency=medium

  * New upstream version 1.24.6

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 29 Jul 2024 19:35:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gst-libav1.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Maintainers of GStreamer packages <gst-libav1.0@packages.debian.org>
+Maintainer: Maintainers of GStreamer packages <gst-libav1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>,
            Marc Leeman <marc.leeman@gmail.com>,

## gst-libav1.0 1.24.7

=== debian/changelog ===
gst-libav1.0 (1.24.7-1) unstable; urgency=medium

  * d/rules: debian-rules-parses-dpkg-parsechangelog
  * New upstream version 1.24.7

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 21 Aug 2024 17:32:23 +0200

## gst-libav1.0 1.24.8

=== debian/changelog ===
gst-libav1.0 (1.24.8-1) unstable; urgency=medium

  * New upstream version 1.24.8

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 19 Sep 2024 14:53:49 +0200

## gst-libav1.0 1.24.11

=== debian/changelog ===
gst-libav1.0 (1.24.11-1) unstable; urgency=medium

  * New upstream version 1.24.11

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 07 Jan 2025 09:15:40 +0100

gst-libav1.0 (1.24.10-1) unstable; urgency=medium

  * New upstream version 1.24.10

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 04 Dec 2024 11:00:00 +0100

gst-libav1.0 (1.24.9-1) unstable; urgency=medium

  * New upstream version 1.24.9

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 31 Oct 2024 09:27:33 +0100

## gst-libav1.0 1.25.50

=== debian/changelog ===
gst-libav1.0 (1.25.50-1) experimental; urgency=medium

  * New upstream version 1.25.50

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 11 Feb 2025 13:45:20 +0100

gst-libav1.0 (1.25.1-2) experimental; urgency=medium

  * d/control: bump GStreamer version to 1.25.1

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 21 Jan 2025 17:31:59 +0100

gst-libav1.0 (1.25.1-1) experimental; urgency=medium

  * d/gbp.conf: adjust for experimental
  * New upstream version 1.25.1

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 15 Jan 2025 14:09:05 +0100

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
                xvfb,
                xauth,
                libglib2.0-dev,
-               libgstreamer1.0-dev (>= 1.24.0),
-               libgstreamer-plugins-base1.0-dev (>= 1.24.0),
-               gstreamer1.0-plugins-base (>= 1.24.0),
-               gstreamer1.0-plugins-good (>= 1.24.0),
+               libgstreamer1.0-dev (>= 1.25.1),
+               libgstreamer-plugins-base1.0-dev (>= 1.25.1),
+               gstreamer1.0-plugins-base (>= 1.25.1),
+               gstreamer1.0-plugins-good (>= 1.25.1),
                liborc-0.4-dev,
                zlib1g-dev,
                liblzma-dev,

## gst-libav1.0 1.25.90

=== debian/changelog ===
gst-libav1.0 (1.25.90-2) unstable; urgency=medium

  * Upload to unstable

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 07 Mar 2025 16:29:04 +0100

gst-libav1.0 (1.25.90-1) experimental; urgency=medium

  * New upstream version 1.25.90
  * d/control: update dependency version to 1.25.90

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 24 Feb 2025 16:49:42 +0100

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
                xvfb,
                xauth,
                libglib2.0-dev,
-               libgstreamer1.0-dev (>= 1.25.1),
-               libgstreamer-plugins-base1.0-dev (>= 1.25.1),
-               gstreamer1.0-plugins-base (>= 1.25.1),
-               gstreamer1.0-plugins-good (>= 1.25.1),
+               libgstreamer1.0-dev (>= 1.25.90),
+               libgstreamer-plugins-base1.0-dev (>= 1.25.90),
+               gstreamer1.0-plugins-base (>= 1.25.90),
+               gstreamer1.0-plugins-good (>= 1.25.90),
                liborc-0.4-dev,
                zlib1g-dev,
                liblzma-dev,

## gst-libav1.0 1.26.0

=== debian/changelog ===
gst-libav1.0 (1.26.0-1) unstable; urgency=medium

  * Revert "d/watch pin on 1.24.x"
  * New upstream version 1.26.0
  * d/control: bump GStreamer version to 1.25.1
  * d/control: update dependency version to 1.25.90
  * d/control: update GStreamer dependencies to >= 1.26.0

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 12 Mar 2025 11:13:23 +0100

gst-libav1.0 (1.24.12-1) unstable; urgency=medium

  * d/watch pin on 1.24.x
  * New upstream version 1.24.12

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 30 Jan 2025 09:29:31 +0100

## gst-libav1.0 1.26.1

=== debian/changelog ===
gst-libav1.0 (1.26.1-1) unstable; urgency=medium

  * d/copyright: add default
  * New upstream version 1.26.1

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 25 Apr 2025 10:08:49 +0200

## gst-libav1.0 1.26.2

=== debian/changelog ===
gst-libav1.0 (1.26.2-1) unstable; urgency=medium

  * New upstream version 1.26.2

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 30 May 2025 09:29:42 +0200

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
                xvfb,
                xauth,
                libglib2.0-dev,
-               libgstreamer1.0-dev (>= 1.25.90),
-               libgstreamer-plugins-base1.0-dev (>= 1.25.90),
-               gstreamer1.0-plugins-base (>= 1.25.90),
-               gstreamer1.0-plugins-good (>= 1.25.90),
+               libgstreamer1.0-dev (>= 1.26.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.26.0),
+               gstreamer1.0-plugins-base (>= 1.26.0),
+               gstreamer1.0-plugins-good (>= 1.26.0),
                liborc-0.4-dev,
                zlib1g-dev,
                liblzma-dev,

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,14 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/default.mk
+include /usr/share/dpkg/pkg-info.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 export HOME=$(CURDIR)/fake-home
 
-# debian package version
-version=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
 # upstream version
-gst_version=$(shell echo $(version) | cut -d '-' -f 1)
+gst_version=$(shell echo $(DEB_VERSION) | cut -d '-' -f 1)
 
 FFMPEG_LIBDIR = /usr/lib/$(DEB_HOST_MULTIARCH)

## gst-libav1.0 1.26.3

=== debian/changelog ===
gst-libav1.0 (1.26.3-1) experimental; urgency=medium

  * New upstream version 1.26.3
  * d/copyright: add DEP-5 compatible license headers

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 27 Jun 2025 12:39:25 +0200

## gst-libav1.0 1.26.4

=== debian/changelog ===
gst-libav1.0 (1.26.4-1) experimental; urgency=medium

  * d/watch: pin on 1.26.x
  * New upstream version 1.26.4

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 16 Jul 2025 20:14:02 +0200

## gst-libav1.0 1.26.5

=== debian/changelog ===
gst-libav1.0 (1.26.5-2) unstable; urgency=medium

  * d/copyright: superfluous-file-pattern
  * trixie has been release, re-upload to unstable

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 11 Aug 2025 09:33:34 +0200

gst-libav1.0 (1.26.5-1) experimental; urgency=medium

  * New upstream version 1.26.5

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 08 Aug 2025 09:22:14 +0200

## gst-libav1.0 1.26.6

=== meson_options.txt ===
option('package-name', type : 'string', yield : true,
       description : 'package name to use in plugins')
option('package-origin', type : 'string',
       value : 'Unknown package origin', yield : true,
       description : 'package origin URL to use in plugins')
option('doc', type : 'feature', value : 'auto', yield: true,
       description: 'Enable documentation.')
option('tests', type : 'feature', value : 'auto', yield : true)

=== debian/changelog ===
gst-libav1.0 (1.26.6-1) unstable; urgency=medium

  * New upstream version 1.26.6

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 15 Sep 2025 11:34:37 +0200

=== debian/watch ===
version=4
opts=pgpmode=auto \
https://gstreamer.freedesktop.org/src/gst-libav/ gst-libav-(1\.26\.[\d]+)@ARCHIVE_EXT@

## gst-libav1.0 1.26.7

=== debian/changelog ===
gst-libav1.0 (1.26.7-2) unstable; urgency=medium

  * d/control: bump meson version to match meson.build
  * d/control: remove unused dependency on yasm (Closes: #1069633)

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 29 Oct 2025 10:37:46 +0100

gst-libav1.0 (1.26.7-1) unstable; urgency=medium

  * New upstream version 1.26.7

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 15 Oct 2025 12:39:35 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Sjoerd Simons <sjoerd@debian.org>,
            Marc Leeman <marc.leeman@gmail.com>,
 Build-Depends: debhelper-compat (= 13),
-               meson (>= 0.62),
+               meson (>= 1.4.0),
                pkgconf,
                xvfb,
                xauth,
@@ -23,8 +23,7 @@
                libavcodec-dev,
                libavfilter-dev,
                libavformat-dev,
-               libswscale-dev,
-               yasm
+               libswscale-dev
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-libav1.0.git

## gst-libav1.0 1.26.8

=== debian/changelog ===
gst-libav1.0 (1.26.8-1) unstable; urgency=medium

  * d/changelog: correct bug that was closed with this upload
  * d/control: bump Standards-Version to 4.7.2
  * New upstream version 1.26.8

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 12 Nov 2025 12:03:24 +0100

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                libavfilter-dev,
                libavformat-dev,
                libswscale-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-libav1.0.git
 Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-libav1.0/

## gst-libav1.0 1.26.9

=== debian/changelog ===
gst-libav1.0 (1.26.9-1) unstable; urgency=medium

  * New upstream version 1.26.9

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 02 Dec 2025 10:30:28 +0100

## gst-libav1.0 1.26.10

=== debian/changelog ===
gst-libav1.0 (1.26.10-1) unstable; urgency=medium

  * New upstream version 1.26.10

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 26 Dec 2025 20:29:01 +0100

## gst-libav1.0 1.27.2

=== debian/changelog ===
gst-libav1.0 (1.27.2-1build1) resolute; urgency=medium

  * No-change rebuild for ffmpeg 8.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Dec 2025 10:54:09 +0000

gst-libav1.0 (1.27.2-1) experimental; urgency=medium

  * New upstream version 1.27.2
  * d/control: bump minimal version after new symbols

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 11 Sep 2025 14:26:39 +0200

gst-libav1.0 (1.27.1-1) experimental; urgency=medium

  * Revert "d/watch: pin on 1.26.x"
  * d/gbp.conf: adjust for experimental
  * d/control: update Standards-Version
  * d/control: API change, gst deps to 1.27.1
  * New upstream version 1.27.1

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 12 Aug 2025 15:01:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: gst-libav1.0
 Section: libs
 Priority: optional
-Maintainer: Maintainers of GStreamer packages <gst-libav1.0@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Maintainers of GStreamer packages <gst-libav1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>,
            Marc Leeman <marc.leeman@gmail.com>,
 Build-Depends: debhelper-compat (= 13),
-               meson (>= 1.4.0),
+               meson (>= 0.62),
                pkgconf,
                xvfb,
                xauth,
                libglib2.0-dev,
-               libgstreamer1.0-dev (>= 1.26.0),
-               libgstreamer-plugins-base1.0-dev (>= 1.26.0),
-               gstreamer1.0-plugins-base (>= 1.26.0),
-               gstreamer1.0-plugins-good (>= 1.26.0),
+               libgstreamer1.0-dev (>= 1.27.2),
+               libgstreamer-plugins-base1.0-dev (>= 1.27.2),
+               gstreamer1.0-plugins-base (>= 1.27.2),
+               gstreamer1.0-plugins-good (>= 1.27.2),
                liborc-0.4-dev,
                zlib1g-dev,
                liblzma-dev,
@@ -23,7 +24,8 @@
                libavcodec-dev,
                libavfilter-dev,
                libavformat-dev,
-               libswscale-dev
+               libswscale-dev,
+               yasm
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-libav1.0.git

## gst-libav1.0 1.27.50

=== debian/changelog ===
gst-libav1.0 (1.27.50-2) experimental; urgency=medium

  * d/control: update dependencies to >= 1.27.50

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 11 Dec 2025 13:52:36 +0100

gst-libav1.0 (1.27.50-1) experimental; urgency=medium

  * New upstream version 1.27.50

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 11 Dec 2025 13:21:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gst-libav1.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Maintainers of GStreamer packages <gst-libav1.0@packages.debian.org>
+Maintainer: Maintainers of GStreamer packages <gst-libav1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>,
            Marc Leeman <marc.leeman@gmail.com>,
@@ -12,10 +11,10 @@
                xvfb,
                xauth,
                libglib2.0-dev,
-               libgstreamer1.0-dev (>= 1.27.2),
-               libgstreamer-plugins-base1.0-dev (>= 1.27.2),
-               gstreamer1.0-plugins-base (>= 1.27.2),
-               gstreamer1.0-plugins-good (>= 1.27.2),
+               libgstreamer1.0-dev (>= 1.27.50),
+               libgstreamer-plugins-base1.0-dev (>= 1.27.50),
+               gstreamer1.0-plugins-base (>= 1.27.50),
+               gstreamer1.0-plugins-good (>= 1.27.50),
                liborc-0.4-dev,
                zlib1g-dev,
                liblzma-dev,

## gst-libav1.0 1.27.90

=== debian/changelog ===
gst-libav1.0 (1.27.90-1) experimental; urgency=medium

  * New upstream version 1.27.90
  * d/control: update dependencies to 1.27.90

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 06 Jan 2026 11:58:35 +0100

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
                xvfb,
                xauth,
                libglib2.0-dev,
-               libgstreamer1.0-dev (>= 1.27.50),
-               libgstreamer-plugins-base1.0-dev (>= 1.27.50),
-               gstreamer1.0-plugins-base (>= 1.27.50),
-               gstreamer1.0-plugins-good (>= 1.27.50),
+               libgstreamer1.0-dev (>= 1.27.90),
+               libgstreamer-plugins-base1.0-dev (>= 1.27.90),
+               gstreamer1.0-plugins-base (>= 1.27.90),
+               gstreamer1.0-plugins-good (>= 1.27.90),
                liborc-0.4-dev,
                zlib1g-dev,
                liblzma-dev,

## gst-libav1.0 1.28.0

=== debian/changelog ===
gst-libav1.0 (1.28.0-1) unstable; urgency=medium

  * New upstream version 1.28.0
  * d/control: update dependencies to 1.28.0

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 28 Jan 2026 15:11:29 +0100

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
            Sjoerd Simons <sjoerd@debian.org>,
            Marc Leeman <marc.leeman@gmail.com>,
 Build-Depends: debhelper-compat (= 13),
-               meson (>= 0.62),
+               meson (>= 1.4.0),
                pkgconf,
                xvfb,
                xauth,
                libglib2.0-dev,
-               libgstreamer1.0-dev (>= 1.27.90),
-               libgstreamer-plugins-base1.0-dev (>= 1.27.90),
-               gstreamer1.0-plugins-base (>= 1.27.90),
-               gstreamer1.0-plugins-good (>= 1.27.90),
+               libgstreamer1.0-dev (>= 1.28.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.28.0),
+               gstreamer1.0-plugins-base (>= 1.28.0),
+               gstreamer1.0-plugins-good (>= 1.28.0),
                liborc-0.4-dev,
                zlib1g-dev,
                liblzma-dev,
@@ -23,8 +23,7 @@
                libavcodec-dev,
                libavfilter-dev,
                libavformat-dev,
-               libswscale-dev,
-               yasm
+               libswscale-dev
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-libav1.0.git

## gst-libav1.0 1.28.1

=== debian/changelog ===
gst-libav1.0 (1.28.1-1) unstable; urgency=medium

  * d/control: update to Standards-Version 4.7.3
  * New upstream version 1.28.1

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 26 Feb 2026 14:07:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: gst-libav1.0
 Section: libs
-Priority: optional
 Maintainer: Maintainers of GStreamer packages <gst-libav1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>,
@@ -24,7 +23,7 @@
                libavfilter-dev,
                libavformat-dev,
                libswscale-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-libav1.0.git
 Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-libav1.0/
